Write off an invoice asynchronously
Asynchronously writes off a posted invoice.\n\nBy writing\ \ off an invoice, a credit memo is created and applied to the invoice. If the\ \ invoice contains more than 2,000 items, this operation is performed asynchronously.\ \ Use the Retrieve invoice write-off async job \ operation to track the status of the async job.\n\nNote: This operation is only available if you have <a href=“https://docs.zuora.com/en/zuora-billing/bill-your-customer/adjust-invoice-amounts/invoice-settlement/get-started-with-invoice-settlement/invoice-settlement-overview” target=“_blank”>Invoice Settlement</a>\ \ enabled. The Invoice Settlement feature is generally available as of Zuora Billing\ \ Release 296 (March 2021). This feature includes Unapplied Payments, Credit and\ \ Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement,\ \ see <a href=“https://docs.zuora.com/en/zuora-billing/bill-your-customer/adjust-invoice-amounts/invoice-settlement/invoice-settlement-migration-checklist-and-guide” target=“_blank”>Invoice Settlement Enablement and Checklist Guide</a>\ \ for more information.\n
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
The ID or number of the invoice. For example, 2c92c8955bd63cc1015bd7c151af02ab or INV-0000001.
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
The minor API version.
For a list of available minor versions, see API upgrades.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
Request
ID of the corresponding object in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Status of the credit memo’s synchronization with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Origin of the corresponding object in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Date when the credit memo was synchronized with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Related transaction in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
The write off amount of the invoice.
Note: This field is available only if you have enabled the enhanced write-off permission for your tenant. Contact Zuora Global Support to enable this permission.
Comments about the write-off. The comment is used as the comment of the credit memo generated by writing off the specified invoice.
Container for items. This field is optional.
Note:
-
If specified, you must specify ALL the items of the invoice. The entire balance of the invoice will be written off, you cannot just write off some items of the invoice.
-
This field is available only if you have enabled the enhanced write-off permission for your tenant. Contact Zuora Global Support to enable this permission.
The date when the credit memo was created, in yyyy-mm-dd format. The memo date must be later than or equal to the invoice date.
The default value is the date when you write off the invoice.
Specify the accounting code for the non revenue write off. Available only if revenueImpacting = no.
Note: This field is available only if you have enabled the enhanced write-off permission for your tenant. Contact Zuora Global Support to enable this permission.
A code identifying the reason for the transaction. The value must be an existing reason code or empty. If you do not specify a value, Zuora uses the default reason code Write-off.
Indicates whether this write off operation impacts the revenue. If revenueImpacting = Yes, the deferred revenue accounting code will be automatically selected from the associated invoice
The Exclude Billing Item From Revenue field will be automatically set to Yes by default for such non-revenue impacting write off credit memos, and this setting cannot be changed. This enhancement helps ensure that only revenue-impacting items are synchronized with Zuora Revenue, reducing unnecessary data processing.
If revenueImpacting = No, users can select an accounting code such as bad-debt expense accounting code for the write off operation.
Note: This field is available only if you have enabled the enhanced write-off permission for your tenant. Contact Zuora Global Support to enable this permission.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
Response
The container of the error code and message. This field is available only if the success field is false.